# Uses of Class
org.h2gis.functions.io.dbf.internal.DbaseFileHeader

Packages that use DbaseFileHeader
Package
Description
org.h2gis.functions.io.dbf
org.h2gis.functions.io.dbf.internal
org.h2gis.functions.io.shp.internal

## Uses of DbaseFileHeader in org.h2gis.functions.io.dbf

Methods in org.h2gis.functions.io.dbf that return DbaseFileHeader
Modifier and Type
Method
Description
`static DbaseFileHeader`
DBFDriverFunction.`dBaseHeaderFromMetaData(ResultSetMetaData metaData, List<Integer> retainedColumns)`
Create a DBF header from the columns specified in parameter.
Methods in org.h2gis.functions.io.dbf with parameters of type DbaseFileHeader
Modifier and Type
Method
Description
`static void`
DBFEngine.`feedTableDataFromHeader(DbaseFileHeader header, org.h2.command.ddl.CreateTableData data)`
Parse the DBF file then init the provided data structure
`static String`
DBFDriverFunction.`getSQLColumnTypes(DbaseFileHeader header, org.h2gis.utilities.dbtypes.DBTypes dbTypes, List<org.h2.table.Column> cols)`
Return SQL Columns declaration

## Uses of DbaseFileHeader in org.h2gis.functions.io.dbf.internal

Methods in org.h2gis.functions.io.dbf.internal that return DbaseFileHeader
Modifier and Type
Method
Description
`DbaseFileHeader`
DBFDriver.`getDbaseFileHeader()`
`DbaseFileHeader`
DbaseFileReader.`getHeader()`
Get the header from this file.
`DbaseFileHeader`
DbaseFileWriter.`getHeader()`
Methods in org.h2gis.functions.io.dbf.internal with parameters of type DbaseFileHeader
Modifier and Type
Method
Description
`void`
DBFDriver.`initDriver(File dbfFile, DbaseFileHeader dbaseHeader)`
Constructors in org.h2gis.functions.io.dbf.internal with parameters of type DbaseFileHeader
Modifier
Constructor
Description
``
`DbaseFileWriter(DbaseFileHeader header, WritableByteChannel out)`
Create a DbaseFileWriter using the specified header and writing to the given channel.
``
`DbaseFileWriter(DbaseFileHeader header, WritableByteChannel out, Charset charset)`
Create a DbaseFileWriter using the specified header and writing to the given channel.

## Uses of DbaseFileHeader in org.h2gis.functions.io.shp.internal

Methods in org.h2gis.functions.io.shp.internal that return DbaseFileHeader
Modifier and Type
Method
Description
`DbaseFileHeader`
SHPDriver.`getDbaseFileHeader()`
Methods in org.h2gis.functions.io.shp.internal with parameters of type DbaseFileHeader
Modifier and Type
Method
Description
`void`
SHPDriver.`initDriver(File shpFile, ShapeType shapeType, DbaseFileHeader dbaseHeader)`
Init Driver for Write mode